[betalabs-Regression] cross-wiki bundle displays only wiki names - no notifications
Closed, ResolvedPublic

Description

  1. As betalabs (1.28.0-alpha (ce5bea1)) user with some notifications, log in to a foreign wiki.
  2. Expand the flyout and then expand the bundled cross-wiki notifications.

The cross-wiki bundle will display only wikis names, but not the notifications.

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 19 2016, 10:01 PM

Checked in 1.28.0-alpha (93f90bf) after the transition scripts were run - the issue persists for users who visit some wiki for the first time and for users who haven't been logged for a long time (also see T140327: [betalabs-Regression] Incorrect count when only cross-wiki notifications are present)

Quiddity renamed this task from [betalabs-Regression] cross-wiki bundle displays only wiki names - no notifcations to [betalabs-Regression] cross-wiki bundle displays only wiki names - no notifications .Jul 25 2016, 9:19 PM

Present in 1.28.0-wmf.11 (ce33bcf)
The screen recording is for user Zilant17. I checked in db for hewiki - only five notifications, all seen/read, coming from the same page, all of the same type:'edit-user-talk'

Note:

  • The issue happened with three users out of four that I use to test in production
  • The issue did go away eventually; login/re-login 'synced' the display status with actual read status.

Change 301382 had a related patch set uploaded (by Sbisson):
[WIP] Moderate notifications

https://gerrit.wikimedia.org/r/301382

Johan added a subscriber: Johan.Aug 10 2016, 1:18 PM

This has been marked for inclusion in Tech News, so asking to be on the safe side: Is this just beta cluster, or affecting content wikis too?

This has been marked for inclusion in Tech News, so asking to be on the safe side: Is this just beta cluster, or affecting content wikis too?

This probably affected production wikis too

I don't think this is completely fixed. https://gerrit.wikimedia.org/r/301382 still needs to be merged and the maintenance script in https://gerrit.wikimedia.org/r/#/c/302480/ should be run to take care of the few user accounts that are very problematic.

Change 301382 merged by jenkins-bot:
Moderate notifications

https://gerrit.wikimedia.org/r/301382

Checked in betalabs - all cross-wiki bundled notifications can be expanded and all messages displayed.

jmatazzoni closed this task as Resolved.Sep 12 2016, 8:46 PM
jmatazzoni claimed this task.